
public class Cone extends Geometry {
    private double radius = 1.0;
    private double height = 1.0;

    public Cone()
    {
    	this(1.0, 1.0);
    }

    public Cone(double radius, double height)
    {
        this.radius = radius;
        this.height = height;
    }
    
    public double getRadius() 
    {
    	return radius;
    }

    public void setRadius(double radius) 
    {
    	this.radius = radius;
    }

    public double getHeight() 
    {
    	return height;
    }

    public void setHeight(double height) 
    {
    	this.height = height;
    }

    public String toString()
    {
    	return ("Geometry=" + getType() + " Radius=" + radius + " Height=" + height);
    }

    public GeometryType getType()
    {
    	return GeometryType.CONE;
    }

    public double getSurfaceArea()
    {
    	double slant = Math.sqrt(radius * radius + height * height);
        return Math.PI * radius * (radius + slant);
    }
    
    public double getVolume()
    {
        return Math.PI * radius * radius * height / 3;
    }

    public void getAdditionalUserInput()
    {
        System.out.print("Please enter Cone Radius:");
        radius = Utility.getUserInputDouble();
        System.out.print("Please enter Cone Height:");
        height = Utility.getUserInputDouble();
    }    
}
