
public class Cylinder extends Geometry {
    private double radius = 1.0;
    private double height = 1.0;

    public Cylinder()
    {
    	this(1.0, 1.0);
    }

    public Cylinder(double radius, double height)
    {
        this.radius = radius;
        this.height = height;
    }
    
    public double getRadius() 
    {
    	return radius;
    }

    public void setRadius(double radius) 
    {
    	this.radius = radius;
    }

    public double getHeight() 
    {
    	return height;
    }

    public void setHeight(double height) 
    {
    	this.height = height;
    }

    public String toString()
    {
    	return ("Geometry=" + getType() + " Radius=" + radius + " Height=" + height);
    }

    public GeometryType getType()
    {
    	return GeometryType.CYLINDER;
    }

    public double getSurfaceArea()
    {
        return 2 * Math.PI * radius * (radius + height);
    }
    
    public double getVolume()
    {
        return Math.PI * radius * radius * height;
    }

    public void getAdditionalUserInput()
    {
        System.out.print("Please enter Cylinder Radius:");
        radius = Utility.getUserInputDouble();
        System.out.print("Please enter Cylinder Height:");
        height = Utility.getUserInputDouble();
    }
}
