
public class Sphere extends Geometry {
	    private double radius = 1.0;

	    public Sphere()
	    {
	    	this(1.0);
	    }

	    public Sphere(double radius)
	    {
	        this.radius = radius;
	    }
	    
	    public double getRadius() 
	    {
	    	return radius;
	    }

	    public void setRadius(double radius) 
	    {
	    	this.radius = radius;
	    }

	    public String toString()
	    {
	        return ("Geometry=" + getType() + " Radius=" + radius);
	    }
	    
	    public GeometryType getType()
	    {
	    	return GeometryType.SPHERE;
	    }

	    public double getSurfaceArea()
	    {
	        return 4 * Math.PI * radius * radius;
	    }
	    
	    public double getVolume()
	    {
	        return 4 * Math.PI * radius * radius * radius / 3;
	    }

	    public void getAdditionalUserInput()
	    {
	        System.out.print("Please enter Sphere Radius:");
	        radius = Utility.getUserInputDouble();
	    }
}